Module variables

!!$ Logiciel sous licence CeCILL
!!$ Auteur: Rodolphe Turpault
!!$ Ce module contient les constantes et variables globales

  Implicit None

!!$ Type reel utilise 

  Integer, Parameter :: PR=Selected_real_kind(12,70)

  Real(PR), Dimension(:,:), Pointer, Save :: U,U1,F,R
  Real(PR), Dimension(:,:), Pointer, Save :: Sp,Sm
  Real(PR), Dimension(:), Pointer, Save   :: v,c,p,pp
  Real(PR), Dimension(:), Pointer, Save   :: s,hs
  Real(PR), Dimension(:), Pointer, Save   :: alpha,bp,bm

  Real(PR), Save      :: dx,dt,dtsdx,L,tfin,cfl,time
  Real(PR), Save      :: rhog,rhod,ug,ud,rhoi,ui
  Real(PR), Save      :: kappa,gamma

  Logical, Save       :: asymptotic

  Integer, Save       :: flunum,clg,cld,reprise,nx,ncf,init,naff

  Integer, Parameter  :: HLL   = 1 


!!$ Indice des conditions aux limites

  Integer, Parameter  :: dirichlet  = 1
  Integer, Parameter  :: sortie     = 2
  Integer, Parameter  :: mur        = 3
  Integer, Parameter  :: miroir     = 4
  Integer, Parameter  :: periodique = 5

  Integer, Parameter  :: cte = 1

End Module variables
